CREATE procedure [C6Staging].[SRV_TABELLE_IN_STAGING]
AS
BEGIN
	DECLARE @tabella AS VARCHAR(50) 
	SET @tabella = NULL
	SELECT TOP 1 @tabella = A.tabella
	FROM(
		SELECT tables.name tabella
		FROM sys.tables tables
		INNER JOIN sys.schemas schemas
			ON tables.schema_id = schemas.schema_id
		WHERE schemas.name = 'C6Staging'
			AND tables.name <> 'TabelleStoricizzate'
	) A
	WHERE A.tabella NOT IN (
		SELECT Nome 
		FROM C6Staging.TabelleStoricizzate
	)
	ORDER BY A.tabella
	-- inserisce dei NULL in TabelleStoricizzate!!!
	/*INSERT INTO [C6Staging].[TabelleStoricizzate]
           ([Nome])
	VALUES
           (@tabella)*/
	DECLARE @tabellaDaStoricizzare AS SMALLINT
	IF @tabella IS NOT NULL
		BEGIN
			INSERT INTO [C6Staging].[TabelleStoricizzate]
				   ([Nome], [Inizio])
			VALUES
				   (@tabella, GETDATE())
			EXEC C6Staging.SRV_STORICIZZAZIONE @tabella
			SET @tabellaDaStoricizzare = 1
		END
	ELSE
		SET @tabellaDaStoricizzare = 0
	SELECT @tabellaDaStoricizzare tabella, @tabella nome
END